Bug 196725 - suggestion to use ip->country information as initial value for the timezone/country screen
suggestion to use ip->country information as initial value for the timezone/c...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 14:37 EDT by Arjan van de Ven
Modified: 2008-08-27 13:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 13:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2006-06-26 14:37:30 EDT
Description of problem:

it would be a neat hack if anaconda did a IP->country lookup (see below) if you
have a public IP and use that as initial value for the country in the timezone
screen; this obviously won't work all the time, but when it does it's just neat..

$ cat ipcountry.pl
use IP::Country::Fast;
my $reg = IP::Country::Fast->new();
my $foo= $ARGV[0];
print $reg->inet_atocc($foo)   ."\n";
Comment 1 Matthew Miller 2007-04-06 13:32:54 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Joel Andres Granados 2008-02-14 08:18:21 EST
Closing.  Don't think this will get implemented at all.  You can reopen if you
feel it should go into the distro.
Comment 3 Matthew Miller 2008-02-14 08:37:49 EST
This is an interesting suggestion, and we've got GeoIP in the distro already.
Not sure there's anything pythony, though. But seems worth leaving open as an RFE.
Comment 4 Joel Andres Granados 2008-04-24 11:08:27 EDT
mmm, I see your interested,  Can you write a python patch for this.  So it can
considered for inclusion.
Comment 5 Bug Zapper 2008-05-13 22:11:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jon Stanley 2008-05-14 22:43:54 EDT
And marking as RFE :)
Comment 7 Chris Lumens 2008-08-27 13:25:33 EDT
The biggest problem here is that we have no database mapping countries to information about how to localize for that country.  So for instance, we can't map a region to its appropriate timezone, language, keyboard mapping, etc.  I'd love to be able to do this, as I think it's a much nicer approach to handling all the localization settings in one screen in anaconda, but there's just no dataset I know of that can do what we want.

If you know of one, feel free to let me know and reopen this bug.  Closing as CANTFIX for now.

Note You need to log in before you can comment on or make changes to this bug.